Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.tutorial.lookup
Class LookupServiceTest

    java.lang.Object
      rice.tutorial.lookup.LookupServiceTest

    public class LookupServiceTest

extends java.lang.Object

This is an example of using the LookupService, based on the code for tutorial 4.

Author:
  jstewart

Constructor Summary
`LookupServiceTest(int bindport, java.net.InetSocketAddress bootaddress, int numNodes, Environment env)` Liberally copied from lesson4's DistTutorial.

Method Summary
`static void` | `main(java.lang.String[] args)` Usage: java [-cp FreePastry-.jar] rice.tutorial.lookup.LookupServiceTest localbindport bootIP bootPort numNodes example java rice.tutorial.lookup.LookupServiceTest 9001 pokey.cs.almamater.edu 9001 10

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LookupServiceTest

    public LookupServiceTest(int bindport,
                             java.net.InetSocketAddress bootaddress,
                             int numNodes,
                             Environment env)
                      throws java.lang.Exception

  Liberally copied from lesson4's DistTutorial.

  Parameters:
    `bindport` - the local port to bind to
    `bootaddress` - the IP:port of the node to boot from
    `env` - the environment for these nodes
  Throws:
    `java.lang.Exception`

Method Detail

### main

    public static void main(java.lang.String[] args)
                     throws java.lang.Exception

  Usage: java [-cp FreePastry-.jar] rice.tutorial.lookup.LookupServiceTest localbindport bootIP bootPort numNodes example java rice.tutorial.lookup.LookupServiceTest 9001 pokey.cs.almamater.edu 9001 10

  Throws:
    `java.lang.Exception` - when something goes wrong

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.